function Rn = normalize_return(R)
% NORMALIZE_RETURN Normalizes a return process by subtracting its mean and
% dividing it to its standard deviation
%
% Copyright 2015 Ali N. Akansu and Mustafa U. Torun
%
% A Primer for Financial Engineering
% Financial Signal Processing and Electronic Trading
%
MU = mean(R);
SIGMA = std(R);
N = size(R,1);
Rn = (R - repmat(MU,N,1)) ./ repmat(SIGMA,N,1);
end