function q = sie(target_q, signal, target_risk, max_risk)
% SIE Implementation of Stay in Ellipsoid (SIE) risk management algorithm
%
% target_q is N x 1 targeted quantity
% signal is N x 1 signal vector (BUY, SELL, SHORT_SELL, BUY_TO_COVER, or
% NONE)
% target_risk is 1 x 1 the risk that the portfolio would undertake for
% target_q
% max_risk is 1 x 1 the maximum risk we want to undertake
% 
% Copyright 2015 Ali N. Akansu and Mustafa U. Torun
%
% A Primer for Financial Engineering
% Financial Signal Processing and Electronic Trading
%
q = target_q;
% If the target risk is higher than the max risk do not allow trading
% strtegy to open a new position, i.e., cancel all the BUY and SHORT_SELL
% signals
if target_risk >= max_risk
    q(signal == BUY) = 0;
    q(signal == SHORT_SELL) = 0;
end