% Example 3.2
% 
% Copyright 2015 Ali N. Akansu and Mustafa U. Torun
%
% A Primer for Financial Engineering
% Financial Signal Processing and Electronic Trading
%

clc; clear all; close all;

% Define price series
p1 = [12.4000   12.8000   12.3000   12.1000   12.5000];
p2 = [45.3000   45.9000   45.1000   44.7000   45.2000];

% Calculate returns
r1 = get_return(p1);
r2 = get_return(p2);

% Calculate portfolio return
q1 = 0.7;
q2 = 1 - q1;
rp = q1 * r1 + q2 * r2

% Calculate portfolio expected return and risk
mu_p = mean(rp);
sigma_p = std(rp);
mu_p_bps = to_bps(mu_p)
sigma_p_bps = to_bps(sigma_p)